Subject: [AVT] RE: Comments on EAC-3 RTP payload format

From: "Link, Brian" <[email-masked]>
Date: Wed, 5 Apr 2006 16:55:10 -0700

Hi Magnus,

Thank you for reviewing the EAC-3 I-D. 

For comment 1, your interpretation of the boundaries between programs is
correct: each 'i' (independent stream) starts a new program, and 'd's
(dependent streams) all belong to the 'i' to their left. Since the
bitStreamConfig parameter is required to match the actual bit stream
configuration, and the EAC-3 specification defines the configurations
that are legal, I expect that everything will work out. However, I agree
with your point that this is not clear, so I will add an explanation,
describing the rules.

For comment 2, I'll incorporate this change.

Best regards,
Brian

> -----Original Message-----
> From: Magnus Westerlund [mailto:[email-masked]] 
> Sent: Tuesday, April 04, 2006 5:15 AM
> To: Link, Brian
> Cc: IETF AVT WG
> Subject: Comments on EAC-3 RTP payload format
> 
> Hi,
> 
> I have reviewed draft-ietf-avt-rtp-eac3-00.txt and have two comments:
> 
> 1. The definition of bitStreamConfig parameter is not clear 
> on how to determine which streams belong to which program. I 
> think there needs to be some explanation on the seperator. 
> From the example it seems that a requirement to order "i" 
> before "d" and any new "i" is a new program would solve the issue.
> 
> 2. Section 5.2:
> "To ensure interoperability with
>        receivers which support the AC-3 payload format, but not the
>        E-AC-3 payload format, a sender which desires to send 
> an AC-3 bit
>        stream in the E-AC-3 payload format SHOULD also offer 
> the session
>        in the AC-3 payload format by including attribute 
> lines for both
>        media sub-types: 'ac3' and 'eac3'."
> 
> I would propose to change "including attribute lines for 
> both" to "include payload types for both"
> 
> 
> Cheers
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 

-----------------------------------------
This message (including any attachments) may contain confidential
information intended for a specific individual and purpose.  If you
are not the intended recipient, delete this message.  If you are
not the intended recipient, disclosing, copying, distributing, or
taking any action based on this message is strictly prohibited.

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt